Note: There are a few cases of duplicates in user autocompletion which are being worked on.

Intermittent failure in accessible/tree/test_tabbrowser.xul | Different amount of expected children of [ 'browser node' , role: internal frame] - got 0, expected 1

RESOLVED FIXED in mozilla8

Status

()

Core
Disability Access APIs
RESOLVED FIXED
6 years ago
5 years ago

People

(Reporter: surkov, Assigned: surkov)

Tracking

(Blocks: 1 bug, {access, intermittent-failure})

Trunk
mozilla8
x86
Windows XP
access, intermittent-failure
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(Not tracked)

Details

(URL)

Attachments

(1 attachment)

(Assignee)

Description

6 years ago
mounir
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1311536284.1311537894.14716.gz
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2011/07/24 12:38:04

s: talos-r3-xp-051
18879 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/tree/test_tabbrowser.xul | Different amount of expected children of [ 'browser node' , role: internal frame, address: [xpconnect wrapped (nsISupports, nsIAccessible, nsIAccessNode)]]. - got 0, expected 1
Version: unspecified → Trunk
Whiteboard: [orange]
And this other one, from bug 616201 too:
{
TinderboxPushlog Robot      2011-07-25 08:28:44 PDT

ehsan%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1311598205.1311599740.6390.gz
Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2011/07/25 05:50:05

s: talos-r3-xp-006
18879 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/tree/test_tabbrowser.xul | Different amount of expected children of [ 'browser node' , role: internal frame, address: [xpconnect wrapped (nsISupports, nsIAccessible, nsIAccessNode)]]. - got 0, expected 1
}
Test unchanged since 2011-03-23.


(In reply to comment #0)
> mounir
> http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1311536284.
> 1311537894.14716.gz
> Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2011/07/24
> 12:38:04

http://tbpl.mozilla.org/?tree=Mozilla-Inbound&rev=5e57dacf6ff1
"Ehsan Akhgari – Merge mozilla-central and mozilla-inbound"...


(In reply to comment #1)
> ehsan%mozilla.com
> http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1311598205.
> 1311599740.6390.gz
> Rev3 WINNT 5.1 mozilla-inbound opt test mochitest-other on 2011/07/25
> 05:50:05

http://tbpl.mozilla.org/?tree=Mozilla-Inbound&rev=6c5f3085166c
Unrelated OS/2 changeset.
OS: Windows 7 → Windows XP
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
(Assignee)

Comment 7

6 years ago
Created attachment 550370 [details] [diff] [review]
patch

the problem is document accessible is not attached to the tree yet, so listening a11y events is a right way to proceed it
Assignee: nobody → surkov.alexander
Status: NEW → ASSIGNED
Attachment #550370 - Flags: review?(marco.zehe)
Comment hidden (Treeherder Robot)

Comment 9

6 years ago
Comment on attachment 550370 [details] [diff] [review]
patch

Ah, thanks for this change, this makes the test more close to what ATs do. r=me!
Attachment #550370 - Flags: review?(marco.zehe) → review+
(Assignee)

Comment 10

6 years ago
inbound http://hg.mozilla.org/integration/mozilla-inbound/rev/d201bfd052b3
(Assignee)

Updated

6 years ago
Whiteboard: [orange] → [orange][inbound]
(Assignee)

Comment 11

6 years ago
landed http://hg.mozilla.org/mozilla-central/rev/d201bfd052b3
Status: ASSIGNED → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → FIXED
Whiteboard: [orange][inbound] → [orange]
Target Milestone: --- → mozilla8
Nit: I would have kept |SimpleTest.executeSoon(...);| to let the handler (fully) end first, though this is not required.
Flags: in-testsuite+
(Assignee)

Comment 13

6 years ago
(In reply to Serge Gautherie (:sgautherie) from comment #12)
> Nit: I would have kept |SimpleTest.executeSoon(...);| to let the handler
> (fully) end first, though this is not required.

it makes sense to run tests in sync, that's the way AT do often.
Keywords: intermittent-failure
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.